Create Category Image
Create a Category Image.
Required Fields
- image_file: Form posts are the only accepted upload option.
Only one image at a time can be created.
Supported file types are JPEG/JPG, GIF, PNG and ICO.
Limit image size to 8MB.
To update a Category Image, use the Update categories endpoint and an image_url.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
category_id
The ID of the Category to which the resource belongs.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects a multipart form containing an optional file.
image_file
Response
OK
data
meta
Response metadata.
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error